package com.bocloud.sms.entity;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 角色服务关联实体
 *
 * @author tyl
 * @time 2020/6/9 周二 17:52
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("service_role")
public class ServiceRole extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("role_id")
    private Long roleId; // 角色ID
    @Column("service_id")
    private Long serviceId; // 服务ID
}
