package com.bocloud.sms.model;

import com.bocloud.sms.entity.Business;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author tyl
 * @since 2021/3/24 19:15
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BusinessModel {
    /**
     * 业务名称
     */
    private String name;
    /**
     * 业务编码
     */
    private String code;
    /**
     * 关联项目
     */
    private List<Long> projectIds;
    /**
     * 业务描述
     */
    private String remark;

    /**
     * 业务类型
     */
    private Business.BusinessType businessType;

    /**
     * 系统负责人id
     */
    private Long systemId;

    /**
     * 系统负责人
     */
    private String systemName;

    /**
     * 运维负责人
     */
    private Long preserveId;

    /**
     * 运维负责人
     */
    private String preserveName;


    private Long projectId;

    private Long departmentId;
}
