package com.bocloud.sms.model;

import lombok.Data;

/**
 * 业务信息实体类
 */
@Data
public class ProductModel {

    private String name;
    private String code;
    private String systematics;
    private String teamName;
    private String ownerAccount;//系统负责人账号
    private String menderAccount;//运维负责人账号
    private String remark;

    public ProductModel() {
    }

    public ProductModel(String name, String code, String systematics, String teamName, String ownerAccount, String menderAccount, String remark) {
        this.name = name;
        this.code = code;
        this.systematics = systematics;
        this.teamName = teamName;
        this.ownerAccount = ownerAccount;
        this.menderAccount = menderAccount;
        this.remark = remark;
    }
}
