package com.bocloud.sms.repository;


import com.bocloud.database.core.intf.impl.BasicGenericDao;
import com.bocloud.sms.entity.ServiceRole;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

/**
 * 角色服务关联
 *
 * @author hya
 * @since 2022-03-02
 */
@Repository
public class ServiceRoleRepository extends BasicGenericDao<ServiceRole, Long> {

    @Autowired
    public ServiceRoleRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
        super(jdbcTemplate, npJdbcTemplate);
    }


}
