package com.bocloud.sms.entity;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 角色权限
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年1月29日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("role_permission")
public class RolePermission extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("role_id")
    private Long roleId; // 角色ID
    @Column("permission_id")
    private Long permissionId; // 权限ID
}
